Package org.apache.xmlbeans.impl.xb.xsdschema

## Interface MaxInclusiveDocument

- All Superinterfaces:
    `XmlObject`, `XmlTokenSource`
  All Known Implementing Classes:
    `MaxInclusiveDocumentImpl`

      public interface MaxInclusiveDocument
      extends XmlObject

  A document containing one maxInclusive(@http://www.w3.org/2001/XMLSchema) element. This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static DocumentFactory<MaxInclusiveDocument>` | `Factory` |
    `static SchemaType` | `type` |

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Facet` | `addNewMaxInclusive()` | Appends and returns a new empty "maxInclusive" element
    `Facet` | `getMaxInclusive()` | Gets the "maxInclusive" element
    `void` | `setMaxInclusive​(Facet maxInclusive)` | Sets the "maxInclusive" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<MaxInclusiveDocument> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getMaxInclusive

          Facet getMaxInclusive()

      Gets the "maxInclusive" element

    - #### setMaxInclusive

          void setMaxInclusive​(Facet maxInclusive)

      Sets the "maxInclusive" element

    - #### addNewMaxInclusive

          Facet addNewMaxInclusive()

      Appends and returns a new empty "maxInclusive" element